Bug 1227816 - [abrt] python3-catkin_tools: job.py:30:<module>:RuntimeError: Executable 'cmake' could not be found in PATH.
Summary: [abrt] python3-catkin_tools: job.py:30:<module>:RuntimeError: Executable 'cma...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-catkin_tools
Version: 23
Hardware: x86_64
OS: All
medium
medium
Target Milestone: ---
Assignee: Scott K Logan
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:555825775245f7265792d984b24...
Depends On: 1205690
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-03 14:43 UTC by Samuel Lee
Modified: 2015-08-05 22:28 UTC (History)
3 users (show)

Fixed In Version: python-catkin_pkg-0.2.9-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-05 05:30:22 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (8.81 KB, text/plain)
2015-06-03 14:43 UTC, Samuel Lee
no flags Details
File: environ (1.76 KB, text/plain)
2015-06-03 14:43 UTC, Samuel Lee
no flags Details

Description Samuel Lee 2015-06-03 14:43:27 UTC
Version-Release number of selected component:
python3-catkin_tools-0.2.0-2.fc21

Additional info:
reporter:       libreport-2.5.1
cmdline:        /usr/bin/python3 /usr/bin/python3-catkin -V
executable:     /usr/bin/python3-catkin
kernel:         3.17.6-300.fc21.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
#1 <module> in /usr/lib/python3.4/site-packages/catkin_tools/verbs/catkin_build/job.py:30
#2 <module> in /usr/lib/python3.4/site-packages/catkin_tools/verbs/catkin_build/build.py:63
#3 <module> in /usr/lib/python3.4/site-packages/catkin_tools/verbs/catkin_build/cli.py:43
#4 <module> in /usr/lib/python3.4/site-packages/catkin_tools/verbs/catkin_build/__init__.py:17
#5 load in /usr/lib/python3.4/site-packages/pkg_resources.py:2025
#6 load_verb_description in /usr/lib/python3.4/site-packages/catkin_tools/commands/catkin.py:41
#7 create_subparsers in /usr/lib/python3.4/site-packages/catkin_tools/commands/catkin.py:54
#8 main in /usr/lib/python3.4/site-packages/catkin_tools/commands/catkin.py:100
#9 <module> in /usr/bin/python3-catkin:9

Comment 1 Samuel Lee 2015-06-03 14:43:30 UTC
Created attachment 1034362 [details]
File: backtrace

Comment 2 Samuel Lee 2015-06-03 14:43:31 UTC
Created attachment 1034363 [details]
File: environ

Comment 3 Scott K Logan 2015-07-01 03:20:57 UTC
I think it would be safe to assume that if someone installs catkin_tools, they intend to do some package builds in ROS.

Shall we add cmake as a runtime dependency for this package?

Thanks,

--scott

Comment 4 Rich Mattes 2015-07-01 12:54:14 UTC
Yes.  It looks like it needs both cmake and make[1] for normal functionality, so it should have runtime deps on both.

[1] https://github.com/catkin/catkin_tools/blob/master/catkin_tools/verbs/catkin_build/job.py#L30-L31

Comment 5 Scott K Logan 2015-07-04 23:50:35 UTC
I have a patch done, and I'll release it with the update to 0.3.0 [1]. We'll need to wait for python-catkin_pkg-0.2.9 to release first, however.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1201061

Comment 6 Fedora Update System 2015-07-06 19:25:19 UTC
python-catkin_pkg-0.2.9-1.fc22, python-catkin_tools-0.3.0-1.fc22, python-rosinstall_generator-0.1.11-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/FEDORA-2015-11212/python-catkin_tools-0.3.0-1.fc22,python-rosinstall_generator-0.1.11-1.fc22,python-catkin_pkg-0.2.9-1.fc22

Comment 7 Fedora Update System 2015-07-06 19:54:40 UTC
python-catkin_pkg-0.2.9-1.fc21, python-rosinstall-0.7.5-1.fc21, python-catkin_lint-1.4.0-1.fc21, python-catkin_tools-0.3.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/FEDORA-2015-11206/python-rosinstall-0.7.5-1.fc21,python-catkin_lint-1.4.0-1.fc21,python-catkin_tools-0.3.0-1.fc21,python-catkin_pkg-0.2.9-1.fc21

Comment 8 Fedora Update System 2015-07-06 19:57:18 UTC
python-catkin_pkg-0.2.9-1.el6, python-catkin_tools-0.3.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-catkin_tools-0.3.0-1.el6,python-catkin_pkg-0.2.9-1.el6

Comment 9 Fedora Update System 2015-07-06 19:57:33 UTC
python-catkin_pkg-0.2.9-1.el7, python-catkin_tools-0.3.0-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-catkin_tools-0.3.0-1.el7,python-catkin_pkg-0.2.9-1.el7

Comment 10 Fedora Update System 2015-07-08 17:09:08 UTC
Package python-catkin_pkg-0.2.9-1.el7, python-catkin_tools-0.3.0-1.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-catkin_pkg-0.2.9-1.el7 python-catkin_tools-0.3.0-1.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-7063/python-catkin_tools-0.3.0-1.el7,python-catkin_pkg-0.2.9-1.el7
then log in and leave karma (feedback).

Comment 11 Jan Kurik 2015-07-15 14:03:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 12 Fedora Update System 2015-08-05 05:30:22 UTC
python-catkin_pkg-0.2.9-1.el6, python-catkin_tools-0.3.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-08-05 05:31:40 UTC
python-catkin_pkg-0.2.9-1.el7, python-catkin_tools-0.3.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-08-05 22:28:18 UTC
python-catkin_pkg-0.2.9-1.fc22, python-catkin_tools-0.3.0-1.fc22, python-rosinstall_generator-0.1.11-1.fc22, python-catkin_lint-1.4.0-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.